Package org.gradle.tooling.events

# Interface StatusEvent

All Superinterfaces:
  `ProgressEvent`

public interface StatusEvent extends ProgressEvent
An event that informs about an interim results of the operation.

Since:
  3.5

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getProgress()`
  The amount of work already performed by the build operation.
  `long`
  `getTotal()`
  The total amount of work that the build operation is in the progress of performing, or -1 if not known.
  `String`
  `getUnit()`
  The measure used to express the amount of work.

  ### Methods inherited from interface org.gradle.tooling.events.ProgressEvent

  `getDescriptor, getDisplayName, getEventTime`

- ## Method Details

  - ### getProgress

    long getProgress()
    The amount of work already performed by the build operation.
    Returns:
      The amount of performed work

  - ### getTotal

    long getTotal()
    The total amount of work that the build operation is in the progress of performing, or -1 if not known.
    Returns:
      The total amount of work, or -1 if not known.

  - ### getUnit

    String getUnit()
    The measure used to express the amount of work.
    Returns:
      The measure used to express the amount of work.